#ifndef __GP2X_H__
#define __GP2X_H__

void gp2x_video_flip(void);
void gp2x_video_changemode(int bpp);
void gp2x_video_setpalette(int *pal, int len);
void gp2x_memset_all_buffers(int offset, int byte, int len);

unsigned long gp2x_joystick_read(void);

void gp2x_init(void);
void gp2x_deinit(void);

void gp2x_simple_wait(int thissec, int lim_time);

#ifdef USE_BLITTER
void noiz2sa_blit(void);
#endif

extern void *gp2x_screen;

#ifdef WIZ
#define mmu_flushcache(...)	/* not needed */
#else
void mmu_flushcache(void *start, void *end);
#endif


enum  { GP2X_UP=0x1,       GP2X_LEFT=0x4,       GP2X_DOWN=0x10,  GP2X_RIGHT=0x40,
        GP2X_START=1<<8,   GP2X_SELECT=1<<9,    GP2X_L=1<<10,    GP2X_R=1<<11,
        GP2X_A=1<<12,      GP2X_B=1<<13,        GP2X_X=1<<14,    GP2X_Y=1<<15,
#ifdef WIZ
	GP2X_VOL_UP=1<<16, GP2X_VOL_DOWN=1<<17, GP2X_PUSH=1<<18
#else
        GP2X_VOL_UP=1<<23, GP2X_VOL_DOWN=1<<22, GP2X_PUSH=1<<27
#endif
};

#endif
